*,
*::before,
*::after 
{
  margin: 0;
  padding: 0;
}

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* 

FONTS AVAILABLE

Fira Code
Cormorant
Space Grotesk
Crimson Pro
Geist
Pompiere

*/

html, body {
  min-height: 100dvh;
  width: 100%;
  font-size: 16px;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-family: "Cormorant";
  background-color: white;
  scrollbar-width: none;
}

.main-container{
    max-width: 700px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    padding: 0 10px;
}

.intro{
    width: 100%;
    height: auto;
    margin-top: 20px;
}

#my-name{
    font-family: "Cormorant";
    font-weight: 500;
    font-size: 2rem;
    text-align: center;

}

.sm-links{
    width: fit-content;
    height: auto;
    margin: 5px auto 10px auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.white-bg-for-icons{
    max-width: min-content;
    padding: 1px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    margin: auto auto;
}

.sm-links a{
    text-decoration: none;
    justify-self: center
}

.sm-links img{
    width: 24px;
    height: auto;
    cursor: pointer;
    transition: transform 0.3s ease;
}


.intro p, .Pages-Text{
    font-family: "Fira Code";
    font-size: 0.8rem;
    text-align: center;
}


.short-info{
    font-weight: 500;
}

.pages{
    width: fit-content;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    gap: 15px;
}

.pages p{
    font-family: "Fira Code";
    font-size: 0.8rem;
    text-decoration: underline;
}

.pages p a{
    color: #2e5aca;
}

.pages p a.active{
    color: rgb(174, 65, 174);
}

.main-content{
    font-family: "Crimson Pro";    
    width: 100%;
    margin: 0px auto 5px auto;
    padding: 10px 0px;
    display: flex;
    flex-direction: column;
}

.main-heading{
    font-family: "Crimson Pro";
    font-weight: 500;
    font-size: 1.7rem;
    text-align: center;
    text-decoration: underline;
}

.heading-2{
    font-family: "Crimson Pro";
    font-weight: 500;
    font-size: 1.5rem;
    text-align: left;
}

details{
    font-size: 1.2rem;
}

details p{
    padding-left: 30px;
    padding-top: 5px;
    padding-bottom: 5px;
}

details a{
    color: #2e5aca;
    text-decoration: none;
    font-weight: 700;
}

.sub-details{
    padding-left: 25px;
}

/* summary::marker {
  content: "->";
  font-family: 'Fira Code';
} */


.list {
  display: flex;
  align-items: center;
  gap: 8px;
}

.list input {
    pointer-events: none;
    transform: scale(1);
    margin-right: 5px;
}

/* Movie name shown using content from data-name */
/* .list::after {
  content: attr(data-name);
  font-size: 18px;
  color: #333;
} */

.locked {
  pointer-events: none;
}

.list-list {
    display: flex;
    flex-direction: column;
    padding-top: 10px;
    padding-left: 25px;
}

.pattern-bg {
  min-height: 100dvh;
  width: 100%;
  background-color: white;
  color: #1f2937;
  position: relative;
  overflow: hidden;
}

.pattern-bg::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 0;
  pointer-events: none;
  background-image: 
    repeating-linear-gradient(22.5deg, transparent, transparent 2px, rgba(75, 85, 99, 0.06) 2px, rgba(75, 85, 99, 0.06) 3px, transparent 3px, transparent 8px),
    repeating-linear-gradient(67.5deg, transparent, transparent 2px, rgba(107, 114, 128, 0.05) 2px, rgba(107, 114, 128, 0.05) 3px, transparent 3px, transparent 8px),
    repeating-linear-gradient(112.5deg, transparent, transparent 2px, rgba(55, 65, 81, 0.04) 2px, rgba(55, 65, 81, 0.04) 3px, transparent 3px, transparent 8px),
    repeating-linear-gradient(157.5deg, transparent, transparent 2px, rgba(31, 41, 55, 0.03) 2px, rgba(31, 41, 55, 0.03) 3px, transparent 3px, transparent 8px);
}



.pattern-bg > * {
  position: relative;
  z-index: 1;
}

.spacing{
    padding: 10px 0px;
}


/* New Version */

nav{
    width: fit-content;
    margin: 10px auto 0px auto;
    display: flex;
    flex-direction: row;
    gap: 7px;
}

nav button {
    font-family: "Fira Code";
    font-size: 0.75rem;
    text-decoration: underline;
    color: #2e5aca;
    border: none;
    font-weight: 900;
    background-color: transparent;
    outline: none;
    cursor: pointer;
}

.nav-link.active {
   color: rgb(174, 65, 174);
}

.nav-link a{
    font-family: "Fira Code";
    font-size: 0.75rem;
    text-decoration: underline;
    color: #2e5aca;
    border: none;
    font-weight: 900;
    background-color: transparent;
    outline: none;
    cursor: pointer;
}

.nav-link a.active{
    color: rgb(174, 65, 174);
}


@media (min-width: 420px){
    nav button{
        font-size: 0.85rem;
    }

    nav{
        gap: 15px;
    }
}

.content-area{
    height: auto;
    width: 100%;
}

.content-section {
    display: none;
}

.content-section.active {
    display: block;
}

#reading .book-covers {
    display: none;
}

#reading .book-covers.active {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0px;
    max-width: 650px;
    margin: 0 auto;
    justify-items: center;
    box-sizing: border-box;
}

#reading .book-covers img {
    width: 300px;
    height: auto;
    margin: 5px 0;
    border: 2px solid black;
    position: relative;
    z-index: 10;
}


.disclaimer p{
    text-align: center;
    font-size: 12px;
}


@media (min-width: 700px) {
    #reading .book-covers img {
        width: 270px;
    }

    #reading .book-covers.active{
        grid-template-columns: 1fr 1fr;
    }

    .disclaimer{
    grid-column: 1 / -1; /* spans all columns */
    }

}

#general, #studycode, #watchlist{
    margin: 20px auto 0 auto;
    width: fit-content;
}


.contains-date-logs{
    max-width: 500px;
}

.content-entry{
    margin: 10px auto 0 auto;
}

@media (min-width:650px){
    .contains-date-logs{
        min-width: fit-content;
    }
    
}


.content-entry p{
    text-align: left;
}

.date-wise-log{
    display: flex;
    flex-direction: column;
    gap: 1px;
    word-wrap: break-word;  
    overflow-wrap: break-word;
    white-space: normal; 
}

.dates{
    font-size: 18px;
    min-width: max-content;
    text-decoration: underline  ;
    font-weight: bold;
}

@media (min-width:550px){
    .small-screen-br{
        display: none;
    }
}

#general p{
    font-size: 18px;
}


sup{
    font-size: 12px;
}

#studycode p{
    font-size: 18px;
}

#watchlist p{
    font-size: 18px;
}


.content-header {
    font-size: 24px;
    color: #333;
    margin-bottom: 15px;
}

.content-description {
    font-size: 16px;
    line-height: 1.5;
    color: #666;
    margin-bottom: 20px;
}

.content-list {
    list-style-type: disc;
    margin-left: 20px;
}

.content-list li {
    margin-bottom: 8px;
    color: #555;
}

.book-info {
    display: none;
}

.book-info.active {
    display: block;
    padding: 5px 25px;
    max-width: 650px;
    margin: -5px auto 0 auto;
}



.book-info p {
    background: transparent;
    text-decoration: none;
    align-items: left;
    font-family: "Crimson Pro";
    font-size: 18px;
    padding: 5px 0;
    margin-left: 5px;
}



@media (max-width:600px){
    .book-info.active{
        padding: 1px;
    }

    .book-info p{
        font-size: 16px;
    }
}


.toggle-btn input {
    opacity: 0;
    width: 0;
    height: 0;
    outline: none;
}

.toggle-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.3s;
    border-radius: 2px;
    outline: none;
}

.toggle-slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    transition: 0.3s;
    border-radius: 2%;
    outline: none;
}

.toggle-btn input:checked + .toggle-slider {
    background-color: rgb(174, 65, 174);
    
}

.toggle-btn input:checked + .toggle-slider:before {
    transform: translateX(30px);
}

.toggle-btn {
    position: relative;
    display: block;
    width: 60px;
    height: 30px;
    margin: 4px 0 0 0;
    outline: none;
}

.toggle-btn,
.toggle-btn input,
.toggle-slider {
    outline: none !important;
    box-shadow: none !important;
}

.toggle-btn:focus,
.toggle-btn input:focus,
.toggle-slider:focus {
    outline: none !important;
    box-shadow: none !important;
}

.disclaimer{
    font-size: 11px;
    font-weight: 300;
    word-wrap: break-word;
    margin: 5px 0;
}

.top-bar-things{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    max-width: 650px;
    margin: 25px auto;
}

.contains-goodreads{
    text-align: center;
    margin-left: 10px;
}


.goodreads{
    width: 100px;
    height: auto;
    margin: 10px 0 0 0;
    align-items: center;
}


.book-container {
display: flex;
flex-direction: column;

transition: transform 0.3s ease;
}

.book-container:hover {
transform: translateY(-10px);
}

.book-container img {
transition: filter 0.3s ease;
}

.book-container:hover img {
filter: brightness(0.7);
}

.overlay-text {
text-align: center;
color: black;
font-size: 16px;
font-weight: 500;
opacity: 0;
transition: all 0.4s ease;
backdrop-filter: blur(10px);
white-space: nowrap;
padding-bottom: 10px;
}

.book-container:hover .overlay-text {
opacity: 1;
}

.hideThis {
    display: none !important;
}

.empty-state{
    display: block;
    margin-top: 10px;
}

.empty-state p{
    text-align: center;
    font-size: 18px;
    margin-top: 20px;
}

.dated-image{
    width: 70%;
    height: auto;
    margin: 5px auto;
    max-width: 400px;
    border-radius: 10px;
}


.section-header {
    cursor: pointer;
    display: flex;
list-style: none;
  margin-top: 25px;
  color: #666;
  font-size: 0.8rem;
  text-transform: uppercase;
  border-bottom: 1px solid #222;
  gap:2px;
}

.arrow {
  font-size: 0.7rem;
  transition: transform 0.2s ease;
}

/* When the parent header has the .collapsed class, rotate the arrow */
.section-header.collapsed .arrow {
  transform: rotate(-90deg);
}

.section-content {
  padding-left: 10px;
  margin-top: 5px;
}


.highlight-text {
    margin-top: 20px;
    text-align: center;
  padding: 0.15em 0.3em;
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
  font-style: italic;
}


.content-entry a{
    font-family: 'Open Sans';
    font-size: 0.75rem;
    text-decoration: underline;
    color: #2e5aca;
    border: none;
    font-weight: 900;
    background-color: transparent;
    outline: none;
    cursor: pointer;
}

.content-entry a:hover{
    color: rgb(174, 65, 174);
}